package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
 * 窗口负责人角色类型
 */
public enum WindowRoleType {
    窗口首席代表(1, "窗口首席代表"),
    运维人员(2, "运维人员"),
    审核人员(3, "审核人员"),
    其他(4, "其他");
    private Integer value;
    private String desc;

    WindowRoleType(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static WindowRoleType getByValue(Integer value) {
        for (WindowRoleType WindowRoleType : WindowRoleType.values()) {
            if (WindowRoleType.getValue() == value) {
                return WindowRoleType;
            }
        }
        return null;
    }

    /**
     * 获取Map集合
     *
     * @param eItem 不包含项
     * @return
     */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (WindowRoleType item : WindowRoleType.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}
